Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations
Class UserAndGroupInviteeIterator

    java.lang.Object
      com.bea.netuix.application.communities.invitations.SimpleInviteeIterator
          com.bea.netuix.application.communities.invitations.UserAndGroupInviteeIterator

All Implemented Interfaces
  InviteeIterator, Serializable, Iterator<Invitee>

    public class UserAndGroupInviteeIterator

extends SimpleInviteeIterator

Basic convenience class for inviting WLS users and groups to a Community. This class allows for adding either a single WLS user or group at a time, and uses the Communities `MessagingAddress` facility to obtain messaging addresses for invites based on the caller supplied messagingAddressName, which should be one of the configured mappings to User Profile properties. A map of `Invitee` attributes can also be supplied, though in the case of adding a group, all group `Invitees` will receive the same attribute set.

For more information see the discussion of invitations or the overview of community functionality.

See Also
  Serialized Form

Constructor Summary
`UserAndGroupInviteeIterator()` Constructor specifying that messaging address is not to be looked up for invitees.
`UserAndGroupInviteeIterator(MessagingAddressType addrType, String addrMappingName)` Constructor for specifying address mappings to use when constructing invitees.

Method Summary
`void` | `addGroup(String wlsGroupName, Map<String,Object> attributes)` Adds all of the users from the specified group into this `InviteeIterator`, using the default authorization provider.
`void` | `addGroup(String wlsGroupName, Map<String,Object> attributes, Collection<MembershipCapability> capabilities)` Adds all of the users from the specified group into this `InviteeIterator`, using the default authorization provider.
`void` | `addGroup(String wlsGroupName, String atnProvider, Map<String,Object> attributes)` Adds all of the users from the specified group into this `InviteeIterator`, using the specified authorization provider.
`void` | `addGroup(String wlsGroupName, String atnProvider, Map<String,Object> attributes, Collection<MembershipCapability> capabilities)` Adds all of the users from the specified group into this `InviteeIterator`, using the specified authorization provider.
`void` | `addUser(String wlsUserName, Map<String,Object> attributes)` Adds a single user to this `InviteeIterator`.
`void` | `addUser(String wlsUserName, Map<String,Object> attributes, Collection<MembershipCapability> capabilities)` Adds a single user to this `InviteeIterator`.
`boolean` | `getMessagingAddressRequired()` Determines whether messaging address is required for every user.
`void` | `setMessagingAddressRequired(boolean messagingAddrRequired)` Specifies whether messaging address is required for every user; the default value is `true`.

Methods inherited from class com.bea.netuix.application.communities.invitations.SimpleInviteeIterator
`addInvitee, close, hasNext, next, open, remove, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserAndGroupInviteeIterator

    public UserAndGroupInviteeIterator()

  Constructor specifying that messaging address is not to be looked up for invitees.

### UserAndGroupInviteeIterator

    public UserAndGroupInviteeIterator(MessagingAddressType addrType,
                                       String addrMappingName)

  Constructor for specifying address mappings to use when constructing invitees. If both the address mapping type and mapping name are specified as null, the messaging address is not stored with the invitee-- esentially making the WLS user name the only invitee identification mechanism. The `setMessagingAddressRequired` method can be used to specify whether messaging address lookup failures are to be tolerated (leaving WLS user name the only identification mechanism for users whose messaging address lookup fails) or reported in an exception.

  Parameters
    `addrType` - the address mapping type to use.
    `addrMappingName` - the address mapping name to use.

Method Detail

### setMessagingAddressRequired

    public void setMessagingAddressRequired(boolean messagingAddrRequired)

  Specifies whether messaging address is required for every user; the default value is `true`.

  Parameters
    `messagingAddrRequired` - if `true` and the messaging address type and address mapping name specified in the constructor are not `null`, then exceptions are thrown from the addUser() and addGroup() methods if a user's profile cannot be found or the specified messaging address cannot be found for the user. If `false`, an attempt is made to look up the user's profile and messaging address information, but if the attempt fails, the user is still added to the iterator with only their WLS user ID as an identifier.

### getMessagingAddressRequired

    public boolean getMessagingAddressRequired()

  Determines whether messaging address is required for every user.

  Returns
    if `true` and the messaging address type and address mapping name specified in the constructor are not `null`, then exceptions are thrown from the addUser() and addGroup() methods if a user's profile cannot be found or the specified messaging address cannot be found for the user. If `false`, an attempt is made to look up the user's profile and messaging address information, but if the attempt fails, the user is still added to the iterator with only their WLS user ID as an identifier.

### addUser

    public void addUser(String wlsUserName,
                        Map<String,Object> attributes)

  Adds a single user to this `InviteeIterator`.

  Parameters
    `wlsUserName` - the user name to add
    `attributes` - map of attributes to associate with the user in the invitee object- these are NOT set as persisted attributes, but only as transient attributes meant for `CommunityInviter` implementations.

### addUser

    public void addUser(String wlsUserName,
                        Map<String,Object> attributes,
                        Collection<MembershipCapability> capabilities)

  Adds a single user to this `InviteeIterator`.

  Parameters
    `wlsUserName` - the user name to add
    `attributes` - map of attributes to associate with the user in the invitee object- these are NOT set as persisted attributes, but only as transient attributes meant for `CommunityInviter` implementations.
    `capabilities` - the set of capabilities to give to the membership if the invitee accepts the invitation.

### addGroup

    public void addGroup(String wlsGroupName,
                         Map<String,Object> attributes)
                  throws InviteeIteratorException

  Adds all of the users from the specified group into this `InviteeIterator`, using the default authorization provider.

  Parameters
    `wlsGroupName` - group to add
    `attributes` - map of attributes to add to each enumerated user `Invitee` -- these are NOT set as persisted attributes, but only as transient attributes meant for `CommunityInviter` implementations.
  Throws
    `InviteeIteratorException`

### addGroup

    public void addGroup(String wlsGroupName,
                         Map<String,Object> attributes,
                         Collection<MembershipCapability> capabilities)
                  throws InviteeIteratorException

  Adds all of the users from the specified group into this `InviteeIterator`, using the default authorization provider.

  Parameters
    `wlsGroupName` - group to add
    `attributes` - map of attributes to add to each enumerated user `Invitee` -- these are NOT set as persisted attributes, but only as transient attributes meant for `CommunityInviter` implementations.
    `capabilities` - the set of capabilities to give to the membership if the invitee accepts the invitation.
  Throws
    `InviteeIteratorException`

### addGroup

    public void addGroup(String wlsGroupName,
                         String atnProvider,
                         Map<String,Object> attributes)
                  throws InviteeIteratorException

  Adds all of the users from the specified group into this `InviteeIterator`, using the specified authorization provider.

  Parameters
    `wlsGroupName` - group to add
    `atnProvider` - the name of the authorization provider to use
    `attributes` - map of attributes to add to each enumerated user `Invitee` -- these are NOT set as persisted attributes, but only as transient attributes meant for `CommunityInviter` implementations.
  Throws
    `InviteeIteratorException`

### addGroup

    public void addGroup(String wlsGroupName,
                         String atnProvider,
                         Map<String,Object> attributes,
                         Collection<MembershipCapability> capabilities)
                  throws InviteeIteratorException

  Adds all of the users from the specified group into this `InviteeIterator`, using the specified authorization provider.

  Parameters
    `wlsGroupName` - group to add
    `atnProvider` - the name of the authorization provider to use
    `attributes` - map of attributes to add to each enumerated user `Invitee` -- these are NOT set as persisted attributes, but only as transient attributes meant for `CommunityInviter` implementations.
    `capabilities` - the set of capabilities to give to the membership if the invitee accepts the invitation.
  Throws
    `InviteeIteratorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.